DHPARAM(1SSL)

NOM
dhparam - Manipulation et génération de paramètres DH

SYNOPSIS
openssl dhparam [-inform DER|PEM] [-outform DER|PEM] [-in nom_fichier] [-out nom_fichier] [-dsaparam] [-check] [-noout] [-text] [-C] [-2] [-5] [-rand fichier(s)] [-engine id] [nombrebits]

DESCRIPTION
Cette commande sert à manipuler des fichiers de paramètres DH.

OPTIONS

-inform DER|PEM
    Indiquer le format d'entrée. L'option DER utilise une forme encodée ASN1 DER compatible avec la structure PKCS#3 des paramètres DH (DHparameter). La forme PEM est le format par défaut : il s'agit d'un format DER encodé en base64 avec des lignes supplémentaires au début et à la fin.

-outform DER|PEM
    Indiquer le format de sortie. Les options ont la même signification que pour l'option -inform.

-in nom_fichier
    Indiquer le nom du fichier d'où seront lus les paramètres. Par défaut, l'entrée standard est utilisée.

-out nom_fichier
    Indiquer le nom du fichier de sortie pour les paramètres. La sortie standard est utilisée si cette option n'est pas présente. Le fichier ne doit pas être identique au fichier d'entrée.

-dsaparam
    Avec cette option, des paramètres DSA sont lus ou créés au lieu de paramètres DH ; ils sont convertis vers le format DH. Autrement, des nombres premiers « fort » (tels que (p-1)/2 est également premier) serviront à la génération des paramètres DH.

    La génération de paramètres DH avec l'option -dsaparam est nettement plus rapide, et la longueur de l'exposant recommandé est plus courte, ce qui rend l'échange de clef DH plus efficace. Remarquez toutefois que pour tout paramètre DH de style DSA, une nouvelle clef DH devrait être créée pour chaque utilisation afin d'éviter des attaques par petit sous-groupes (« small-subgroup attacks ») qui seraient possibles autrement.

-check
    Vérifier si les paramètres sont des nombres premiers valables et un générateur.

-2, -5
    Le générateur à utiliser, soit 2, soit 5. Si présent, le fichier d'entrée est ignoré et les paramètres sont générés à la place. Si non présent, mais que nombrebits est présent, les paramètres sont générés avec le générateur par défaut 2.

-rand fichier(s)
    Un ou plusieurs fichiers contenant des données aléatoires utilisées pour initialiser le générateur de nombres pseudoaléatoires, ou une socket EGD (consultez RAND_egd(3)). Plusieurs fichiers peuvent être indiqués en utilisant le séparateur du système d'exploitation : « ; » pour Windows, « , » pour OpenVMS et « : » pour tous les autres.

nombrebits
    Cette option indique qu'un jeu de paramètres de taille nombrebits doit être généré. Cette option doit être placée en dernier. Si cette option est présente, le fichier d'entrée est ignoré et des paramètres sont générés à la place. Si cette option n’est pas présente, mais qu’un générateur (-2 ou -5) est présent, les paramètres sont générés avec une taille par défaut de 2048 bits.

-noout
    Cette option empêche la sortie des paramètres en version encodée.

-text
    Cette option affiche les paramètres DH sous forme lisible.

-C  Cette option convertit les paramètres en code source C. Ces paramètres peuvent ensuite être chargées en utilisant la fonction get_dhnombrebits().

-engine id
    Indiquer un moteur (en utilisant son identifiant unique id) qui indique à dhparam d'essayer d'obtenir une référence fonctionnelle pour le moteur indiqué, et l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

AVERTISSEMENTS
Le programme dhparam combine les fonctionnalités des programmes dh et gendh des versions précédentes d'OpenSSL et de SSLeay. Les programmes dh et gendh sont maintenus pour l'instant mais pourraient avoir d'autres fonctions dans des versions à venir d'OpenSSL.

NOTES
Le format PEM des paramètres DH utilise les lignes suivantes au début et à la fin :

 -----BEGIN DH PARAMETERS-----
 -----END DH PARAMETERS-----

Actuellement, OpenSSL prend seulement en charge le DH PKCS#3, et pas encore le DH X9.42 plus récent.

Ce programme manipule les paramètres DH, et non les clefs.

BOGUES
Il devrait y avoir un moyen de générer et de manipuler des clefs DH.

VOIR AUSSI
dsaparam(1)

HISTORIQUE
La commande dhparam a été ajouté pour OpenSSL 0.9.5. L'option -dsaparam a été ajouté pour OpenSSL 0.9.6.

TRADUCTION
Cette page de manuel a été traduite par arne en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.